package com.ximai.mes.pro.domain.to;

import com.ximai.common.annotation.Excel;
import com.ximai.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 生产版本工序物料传SAp对象
 *
 * @author zht
 * @date 2024-02-20
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ProProductionSolutionProcessItemTo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private Long productionSolutionProcessItemId;

    /**
     * 生产版本工序ID
     */
    @Excel(name = "生产版本工序ID")
    private Long productionSolutionProcessId;

    /**
     * 产品物料ID
     */
    @Excel(name = "产品物料ID")
    private Long itemId;

    private String itemName;

    /**
     * 单位
     */
    @Excel(name = "单位")
    private String unitOfMeasure;

    /**
     * 组件数量
     */
    @Excel(name = "组件数量")
    private Long quantity;

}
